%define	release	%mkrel 1
%define	version	20130420
%define	name	e-config

Summary:	Default Configuration for Enlightenment
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/Enlightenment
Source: 	%{name}.tar.xz
URL:		http://www.pclinuxos.com/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Obsoletes:	econfig < %{version}-%{release}
Provides:	econfig = %{version}-%{release}

%description
Default Configuration Files for the Enlightenment
Desktop Enviroment.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%_sysconfdir/skel
cp -r .e %{buildroot}/%_sysconfdir/skel


%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.e; done

SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= cp -af /etc/skel/.e/* /home/$idx/.e; done

SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.e; done

#root
mkdir -p /root/.e
cp -af /etc/skel/.e/* /root/.e


%postun
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
do INP1= rm -rf /home/$idx/.e; done

#root
rm -rf /root/.e


%files
%defattr(-,root,root)
/*

%changelog
* Sat Apr 20 2013 Texstar <texstar at gmail.com> 20130420-1pclos2013
- update for new E

* Mon Nov 21 2011 Texstar <texstar at gmail.com> 20111120-2pclos2011
- add parcelite to autostart

* Sun Nov 20 2011 Texstar <texstar at gmail.com> 20111120-1pclos2011
- update for 32/64 bit

* Sat May 15 2010 Texstar <texstar at gmail.com> 20100515-1pclos2010
- update for 20100515

